%define name    booh
%define version 0.9.4
%define release %mkrel 1
%define	title       Booh
%define	longtitle   Web-Album generator

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        Web-Album generator
License:        GPLv2
Group:          Graphics/Editors and Converters
URL:            http://www.booh.org
Source:         http://www.booh.org/packages/%{name}-%{version}.tar.bz2
Patch0:		booh-0.9.4-gempath.patch
Patch1:		booh-0.9.4-noiconv.patch
Requires:       ruby-gtk2 >= 0.12
Requires:       ruby-gettext >= 0.8.0
Requires:       mplayer
Requires:       exif
Requires:       gimp
Requires:       imagemagick
BuildRequires:  ruby-devel
BuildRequires:  ruby-glib2-devel
BuildRequires:  gettext
BuildRequires:  imagemagick
BuildRequires:  libgdk_pixbuf2.0-devel
BuildRequires:  libgtk+2.0-devel
BuildRequires:  libexiv-devel

%description
Yet another Web-Album generator. Highlights:

  * automatic rotation of portrait images thanks to information
    put by digital camera in .jpg file (EXIF)
  * immediate display of images (preloading in browser)
  * keep position of "next/previous" hyperlinks in browser
    between images
  * full video support (including thumbnailing)
  * clever use of the whole space of a typical browser window
    (the need to scroll portrait images is stupid)
  * themability
  * sub-albums support
  * remember your preferred size of thumbnails accross sub-albums
  * multi-processor support to speed up thumbnails generation
  * smooth integration of panoramic images in thumbnails pages
  * multi-languages web-album navigation (navigation links are
    automatically shown in user's language)
  * a GUI to input captions, rotate, reorder and remove
    images FAST (extensive use of keyboard shortcuts)
  * another GUI to classify photos and videos in a powerful manner

%prep
%setup -q
%apply_patches

%build
ruby setup.rb config --rbdir=%ruby_vendorlibdir --sodir=%ruby_vendorarchdir
ruby setup.rb setup
cd ext
ruby extconf.rb --vendor
sed -i -e 's#INCFLAGS =#INCFLAGS = $(CFLAGS)#' Makefile
make

%install
ruby setup.rb install --prefix=%buildroot
cd ext
make install DESTDIR=%buildroot libdir=%{_libdir} archdir=%ruby_sitearchdir
cd ..


install -d -m 755 %{buildroot}%{_datadir}/applications
install -m 644 desktop/booh.desktop %{buildroot}%{_datadir}/applications
install -m 644 desktop/booh-classifier.desktop %{buildroot}%{_datadir}/applications

perl -pi -e 's/^Icon=%{name}.*/Icon=%{name}/g' %{buildroot}%{_datadir}/applications/*

# icons
mkdir -p %{buildroot}%{_miconsdir}
mkdir -p %{buildroot}%{_liconsdir}
cp desktop/booh-16x16.png %{buildroot}%{_miconsdir}/%{name}.png
cp desktop/booh-32x32.png %{buildroot}%{_iconsdir}/%{name}.png
cp desktop/booh-48x48.png %{buildroot}%{_liconsdir}/%{name}.png

# bash completion
install -d -m 755 %{buildroot}%{_sysconfdir}/bash_completion.d
install -m 644 %{name}.bash-completion %{buildroot}%{_sysconfdir}/bash_completion.d/%{name}

%find_lang %name --all-name 

%files -f %{name}.lang
%doc README
%{_bindir}/*
%{ruby_vendorlibdir}/%{name}*
%{ruby_vendorarchdir}/*
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/applications/%{name}-classifier.desktop
%{_mandir}/*/*
%{_iconsdir}/*.png
%{_iconsdir}/*/*.png
%config(noreplace) %{_sysconfdir}/bash_completion.d/%{name}


%changelog
* Thu Dec 19 2013 pterjan <pterjan> 0.9.4-1.mga4
+ Revision: 558709
- 0.9.4
- Ask Gem for the path to ruby-glib2 headers
- Use fake iconv from gettext

* Mon Oct 21 2013 umeabot <umeabot> 0.9.3-7.mga4
+ Revision: 538729
- Mageia 4 Mass Rebuild

* Wed Oct 02 2013 fwang <fwang> 0.9.3-6.mga4
+ Revision: 490239
- update file list
- fix inc flags

* Fri Jan 11 2013 umeabot <umeabot> 0.9.3-6.mga3
+ Revision: 347095
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + boklm <boklm>
    - Update group: Graphics/Editors -> Graphics/Editors and Converters

* Fri Nov 02 2012 fwang <fwang> 0.9.3-5.mga3
+ Revision: 312409
- update file list
- update rpm group
- rebuild for new ruby

* Sun Oct 09 2011 fwang <fwang> 0.9.3-4.mga3
+ Revision: 153410
- rebuild for new exiv2

  + guillomovitch <guillomovitch>
    - fix rubygem patch
    - patch0: fix usage of gettext as a ruby gem

* Tue Jul 19 2011 guillomovitch <guillomovitch> 0.9.3-1.mga2
+ Revision: 126774
- imported package booh


* Mon Jul 18 2011 Guillaume Rousse <guillomovitch@mageia.org> 0.9.3-1.mga1
- import to mageia

* Wed Dec 01 2010 Funda Wang <fwang@mandriva.org> 0.9.3-2mdv2011.0
+ Revision: 604401
- rebuild for new exiv2

* Sun Aug 15 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.9.3-1mdv2011.0
+ Revision: 569933
- update to new version 0.9.3

* Tue Aug 03 2010 Funda Wang <fwang@mandriva.org> 0.9.2.2-2mdv2011.0
+ Revision: 565537
- rebuild

* Wed Mar 24 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.9.2.2-1mdv2010.1
+ Revision: 527247
- Update to 0.9.2.2

* Wed Dec 30 2009 Frederik Himpe <fhimpe@mandriva.org> 0.9.2.1-2mdv2010.1
+ Revision: 484194
- Rebuild for new libexiv2

* Fri Oct 16 2009 Guillaume <gc@mandriva.com> 0.9.2.1-1mdv2010.0
+ Revision: 457874
- 0.9.2.1, bugfix release

* Wed Sep 23 2009 Guillaume <gc@mandriva.com> 0.9.2-2mdv2010.0
+ Revision: 447778
- doh!
- fix icon name for new style desktop file

* Fri Sep 11 2009 Guillaume <gc@mandriva.com> 0.9.2-1mdv2010.0
+ Revision: 438202
- new version

* Thu Sep 10 2009 Thierry Vignaud <tv@mandriva.org> 0.9.1-4mdv2010.0
+ Revision: 436869
- rebuild

* Sun Jan 04 2009 Funda Wang <fwang@mandriva.org> 0.9.1-3mdv2009.1
+ Revision: 324530
- rebuild

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Sun Sep 07 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.9.1-2mdv2009.0
+ Revision: 282130
- Rebuild

* Mon Jun 23 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.9.1-1mdv2009.0
+ Revision: 228081
- new version

* Thu Jun 12 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.9.0-3mdv2009.0
+ Revision: 218491
- update dependencies

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Wed Jun 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.9.0-2mdv2009.0
+ Revision: 217979
- update description
- use upstreammenu entries
- fix build dependencies
- upstream patch for 1.8.7
- new version
  drop previous version patches

  + Pascal Terjan <pterjan@mandriva.org>
    - Move to vendor dir

  + Thierry Vignaud <tv@mandriva.org>
    - drop old menu
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Stéphane Téletchéa <steletch@mandriva.org>
    - Updated ruby sitearchdir
    - Disable overriding ruby macros
    - Added the "original image size bot correctly handled" patch
    - Import booh



* Fri Sep 01 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.6-4mdv2007.0
- Fix XDG migration

* Fri Jul 28 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.8.6-3mdv2007.0
- patch1: fix method arguments number in render_pixmap_and_mask()

* Wed Jul 26 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.8.6-2mdv2007.0
- patch to drop ruby 1.8.4 warning, as mandriva ruby package has been fixed
- xdg menu
- spec cleanup
- rpmbuildupdate aware
- new URL

* Thu May 04 2006 Lenny Cartier <lenny@mandriva.com> 0.8.6-1mdk
- 0.8.6

* Thu Dec 29 2005 Guillaume Cottenceau 0.8.5-1mdk
- new version

* Wed Dec 14 2005 Guillaume Cottenceau 0.8.4.1-1mdk
- new version (contains a fix for using gtk+-2.8.9 - probably)

* Sun Dec 04 2005 Guillaume Cottenceau 0.8.4-2mdk
- new version (use -2mdk because upload scripts partially accepted 0.8.4-1mdk already)

* Mon Nov 07 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.8.3-2mdk
- Fix BuildRequires
- %%mkrel

* Tue Sep 27 2005 Guillaume Cottenceau 0.8.3-1mdk
- new version
- don't depend on transcode (is not in main or contrib)
- don't depend on exif (is not needed anymore)
- depend on ImageMagick (this was missing)
- add icons

* Sun Aug 14 2005 Guillaume Cottenceau 0.8.2-1mdk
- new version

* Tue Aug 02 2005 Guillaume Cottenceau 0.8.1-1mdk
- new version (with bash-completion thx guillomovitch)

* Sat Jul 30 2005 Guillaume Cottenceau 0.8.0-1mdk
- new version

* Fri Jun 17 2005 Guillaume Cottenceau 0.7.1-1mdk
- new version

* Thu Jun 16 2005 Guillaume Cottenceau 0.7.0-1mdk
- new version

* Mon May 23 2005 Guillaume Cottenceau 0.6.0-1mdk
- new version

* Sun May  8 2005 Guillaume Cottenceau 0.5.2-1mdk
- new version

* Sun May  8 2005 Guillaume Cottenceau 0.5.1-1mdk
- new version

* Sat May  7 2005 Guillaume Cottenceau 0.5.0-1mdk
- new version

* Sun Apr 17 2005 Guillaume Cottenceau 0.4.0-1mdk
- new version

* Sat Apr 09 2005 Guillaume Cottenceau 0.3.0-1mdk
- new version

* Fri Apr 01 2005 Guillaume Cottenceau 0.2.0-1mdk
- new version

* Mon Mar 28 2005 Guillaume Cottenceau 0.1.0-1mdk
- first mdk package
